{
  description = "Skynet Wiki";

  inputs = {
    utils.url = "github:numtide/flake-utils";
    bfom.url = "gitlab:silver_rust/bfom";
  };

  outputs = { self, nixpkgs, utils, bfom }: utils.lib.eachDefaultSystem (system:
    let
      pkgs = nixpkgs.legacyPackages."${system}";
    in rec {
      # `nix build`
      defaultPackage = pkgs.stdenv.mkDerivation {
        name = "skynet-website-renew";
        src = self;
        installPhase = "mkdir -p $out; cp -R src/* $out";
      };

      devShells.x86_64-linux.default = pkgs.mkShell {
        name = "Skynet Wiki env";
        nativeBuildInputs = [
          bfom.defaultPackage.x86_64-linux
        ];
      };
    }
  );
}